[script]
n0=;################Change everything on your own risk#########################
n1=on 1:NOTICE:*:*:{
n2=  if ( %linking == on ) && ( $dialog(nickserv) != $null ) && ( $nick == NickServ ) { did -i nickserv 31 1 $1- | unset %linking }
n3=  if ( %nickcheck == on ) && ( $dialog(nickserv) != $null ) && ( $nick == NickServ ) {
n4=    if ( $1 != the ) { did -i nickserv 38 1 Ник занят }
n5=    else {
n6=    did -i nickserv 38 1 $replace($1-,,$chr(),[,$chr(),],$chr()) | unset %nickcheck }
n7=  }
n8=  if ( %registration == on ) && ( $dialog(nickserv) != $null ) && ( $nick == NickServ ) { 
n9=    did -i nickserv 47 1 $replace($1-,,$chr(),[,$chr(),],$chr())
n10=    if ( $5 == registered ) && ( %addnick == on ) {
n11=      writeini files/nicks.ini %regnick nick %regnick | writeini files/nicks.ini %regnick pass %regpass | unset %regnick | unset %regpass | unset %addnick
n12=    }
n13=  }
n14=  if ( %accesslist == on ) && ( $dialog(nickserv) != $null ) && ( $nick == NickServ ) {
n15=    if ( $1 == -- ) { return }
n16=    else { did -a nickserv 134 $1- }
n17=  }
n18=  if ( %chancheck == on ) && ( $dialog(chanserv) != $null ) && ( $nick == ChanServ ) {
n19=    if ( $1 != the ) { did -i chanserv 20 1 Канал занят | unset %chancheck }
n20=    else { did -i chanserv 20 1 $replace($1-,,$chr(),[,$chr(),],$chr()) | unset %nickcheck }
n21=  }
n22=  if ( %levellist == 1 ) && ( $dialog(chanserv) != $null ) && ( $nick == ChanServ ) { 
n23=    if ( $1 == -- ) { return }
n24=    if ( $1 == index ) { return }
n25=    if ( $3 == AUTODEOP ) { did -i chanserv 168 1 $2 }
n26=    if ( $3 == AUTOVOICE ) { did -i chanserv 169 1 $2 }
n27=    if ( $3 == CMDVOICE ) { did -i chanserv 170 1 $2 }
n28=    if ( $3 == ACCESS ) { did -i chanserv 171 1 $2 }
n29=    if ( $3 == CMDINVITE ) { did -i chanserv 172 1 $2 }
n30=    if ( $3 == AUTOHALFOP ) { did -i chanserv 173 1 $2 }
n31=    if ( $3 == CMDHALFOP ) { did -i chanserv 174 1 $2 }
n32=    if ( $3 == AUTOOP ) { did -i chanserv 175 1 $2 }
n33=    if ( $3 == CMDOP ) { did -i chanserv 176 1 $2 }
n34=    if ( $3 == CMDUNBAN ) { did -i chanserv 177 1 $2 }
n35=    if ( $3 == AUTOKICK ) { did -i chanserv 178 1 $2 }
n36=    if ( $3 == CMDCLEAR ) { did -i chanserv 179 1 $2 }
n37=    if ( $3 == SET ) { did -i chanserv 180 1 $2 }
n38=    if ( $3 == SUPEROP ) { did -i chanserv 181 1 $2 | set %levellist 0 }
n39=  }
n40=  if ( %getaccesslist == on ) && ( $dialog(chanserv) != $null ) && ( $nick == ChanServ ) { 
n41=    if ( $1 == -- ) || ( $1 == --- ) { return }
n42=    else { did -a chanserv 235 $1- }
n43=  }
n44=  if ( %accessadding == on ) && ( $dialog(chanserv) != $null ) && ( $nick == ChanServ ) { did -ri chanserv 235 1 $replace($1-,,$chr(),[,$chr(),],$chr()) | unset %accessadding }
n45=  if ( %listmemo == on ) && ( $dialog(memoserv) != $null ) && ( $nick == MemoServ ) { 
n46=    if ( $1 == -- ) { return }
n47=    else { did -a memoserv 10 $1- } 
n48=  }
n49=  if ( %readmemo == on ) && ( $dialog(memoserv) != $null ) && ( $nick == MemoServ ) { 
n50=    if ( $1 == memo ) || ( $1 == to ) { return }
n51=    else { 
n52=      did -a memoserv 15 $replace($1-,|,/,},/,{,/)
n53=    }
n54=  }
n55=  if ( $nick == Nickserv ) && ( $1- == This nickname is owned by someone else )  && ( %identonchange == on ) && ( $readini(files/nicks.ini, $me, pass) != $null ) { .msg nickserv identify $readini(files/nicks.ini, $me, pass) }
n56=  if ( %memodel == on ) { did -r memoserv 15 | did -a memoserv 10 $replace($1-,|,?) | unset %memodel }
n57=  if ( $nick == Global ) || ( $nick == ChanServ ) || ( $nick == NickServ ) || ( $nick == MemoServ ) || ( $nick == SeenServ ) || ( $nick == iFud ) { halt }
n58=
n59=
n60=
n61=
n62=}
n63=on 1:CLOSE:@Telnet:sockclose telnet
n64=
n65=on 1:BAN:#:{
n66=  set %bancheck 0
n67=  :next
n68=  if ( %bancheck < 11 ) {
n69=    if ( $banmask isin $address($me,%bancheck) && $chan !isin $readini($mircdirfiles/options.ini, n, other, DisableProtect) ) { 
n70=      if ( %unban == on ) { mode $chan -b $banmask }
n71=      if ( %csunban == on ) { .msg chanserv unban $chan }
n72=      if ( ( %banrevengeon == deop ) || ( %banrevengeon == kick ) || ( %banrevengeon == kban ) ) && ( %banrevenge == on ) {
n73=        if ( %banrevengeon == deop ) { mode $chan -o $nick }
n74=        if ( %banrevengeon == kick ) { kick $chan $nick 4Фраг %ki $+  }
n75=        if ( %banrevengeon == kban ) { ban $chan $nick 2 | kick $chan $nick 4Фраг %ki $+  }
n76=      }
n77=    }
n78=    else { inc %bancheck | goto next }
n79=  }
n80=}
n81=on *:input:@telnet:{
n82=  if ( $sock(telnet) != $null ) {
n83=    sockwrite -tn telnet $1- $+ $crlf
n84=    echo @telnet -->> $1-
n85=  }
n86=  else { echo @telnet Нет активных соеденений }
n87=}
n88=menu @Telnet {
n89=  Clear window:clear
n90=  -
n91=  Close connection:sockclose telnet |  echo -a ***Завершена телнет сессия
n92=  Close connection&&window:sockclose telnet | window -c @telnet
n93=}
n94=
n95=on 1:INPUT:*:{ 
n96=  set %total.words %total.words + $numtok($1-,32)
n97=  set %total.letters %total.letters + $len($1-)
n98=  if ( $readini($mircdirfiles/options.ini,n,away,mode) == auto ) { .timerwait 1 $calc($readini($mircdirfiles/options.ini,n,away,idledelay) * 60) autoaway }
n99=  if ( %tran-rus == on ) { 
n100=    if ( $left($1,1) != / ) { tran-rus $active $1- | halt }
n101=    else { return }
n102=  }
n103=  if ( %rus-tran == on ) { 
n104=    if ( $left($1,1) != / ) { rus-tran $nick $1- | halt }
n105=    else { return }
n106=  }
n107=}
n108=
n109=on 1:KICK:#:{
n110=  if ( $knick == $me ) { 
n111=    if ( %kickrejoin == on ) { join $chan }
n112=    if ( %kickrevenge == on ) {
n113=      if ( %kickrevengeon == deop ) { mode $chan -o $nick }
n114=      if ( %kickrevengeon == kick ) { kick $chan $nick 4Фраг %ki $+  }
n115=      if ( %kickrevengeon == kban ) { ban $chan $nick 2 | kick $chan $nick 4Фраг %ki $+  }
n116=    }
n117=  }
n118=  if ( $nick == $me ) { inc %k | %ki = %k + 1 }
n119=}
n120=
n121=on 1:DEOP:#:{
n122=  if ( $opnick == $me ) {
n123=    if ( %csop == on ) { .msg chanserv op $chan $me }
n124=    if ( %deoprevenge == on ) {
n125=      if ( %deoprevengeon == deop ) { mode $chan -o $nick }
n126=      if ( %deoprevengeon == kick ) { kick $chan $nick 4Фраг %ki $+  }
n127=      if ( %deoprevengeon == kban ) { ban $chan $nick 2 | kick $chan $nick 4Фраг %ki $+  }
n128=    }
n129=  }
n130=}
n131=on *:start:{
n132=  .timersave 0 360 .save -rv remote.ini
n133=  .timeruptime.check 0 60 .uptimecheck
n134=  unset %awayis
n135=  statistic
n136=  if ( %checkmail1 == on ) && ( %mail.check.delay > 0 ) { .timercheck.mail.1 -o 0 %mail.check.delay /checkmail 1 }
n137=  if ( %checkmail2 == on ) && ( %mail.check.delay > 0 ) { .timercheck.mail.2 -o 0 %mail.check.delay /checkmail 2 }
n138=  if ( %checkmail3 == on ) && ( %mail.check.delay > 0 ) { .timercheck.mail.3 -o 0 %mail.check.delay /checkmail 3 }
n139=  if ( %checkmail4 == on ) && ( %mail.check.delay > 0 ) { .timercheck.mail.4 -o 0 %mail.check.delay /checkmail 4 }
n140=  if ( %winamp.plugin == on ) { .timermp3 -o 0 10 mp3 }
n141=}
n142=
n143=raw 440:*down*:dialog -nm down down
n144=raw *:*:{
n145=  if ( %whois == on ) { 
n146=    if ( $event == 302 ) { 
n147=      if ( $gettok($gettok($2,2,64),4,46) isnum 0-255 ) && ( $numtok($gettok($2,2,64),46) == 4 ) { 
n148=        if ( $gettok($gettok($2,2,64),1,46) == 60 ) || ( $gettok($gettok($2,2,64),1,46) == 61 ) || ( $gettok($gettok($2,2,64),1,46) == 218 ) || ( $gettok($gettok($2,2,64),1,46) == 219 ) || ( $gettok($gettok($2,2,64),1,46) == 220 ) { sockopen whois $+ ? $+ $gettok($2,2,64) $+ ? $+ whois.apnic.net whois.apnic.net 43 | set %whois off | halt }
n149=        if ( $gettok($gettok($2,2,64),1,46) == 221 ) || ( $gettok($gettok($2,2,64),1,46) == 222 ) { sockopen whois $+ ? $+ $gettok($2,2,64) $+ ? $+ whois.apnic.net whois.apnic.net 43 | set %whois off | halt }
n150=
n151=        if ( $gettok($gettok($2,2,64),1,46) == 62 ) || ( $gettok($gettok($2,2,64),1,46) == 80 ) || ( $gettok($gettok($2,2,64),1,46) == 81 ) || ( $gettok($gettok($2,2,64),1,46) == 82 ) || ( $gettok($gettok($2,2,64),1,46) == 193 ) || ( $gettok($gettok($2,2,64),1,46) == 194 ) { sockopen whois $+ ? $+ $gettok($2,2,64) $+ ? $+ whois.ripe.net whois.ripe.net 43 | set %whois off | halt }
n152=        if ( $gettok($gettok($2,2,64),1,46) == 195 ) || ( $gettok($gettok($2,2,64),1,46) == 212 ) || ( $gettok($gettok($2,2,64),1,46) == 213 ) || ( $gettok($gettok($2,2,64),1,46) == 217 ) { sockopen whois $+ ? $+ $gettok($2,2,64) $+ ? $+ whois.ripe.net whois.ripe.net 43 | set %whois off | halt }
n153=
n154=        if ( $gettok($gettok($2,2,64),1,46) == 63 ) || ( $gettok($gettok($2,2,64),1,46) == 64 ) || ( $gettok($gettok($2,2,64),1,46) == 65 ) || ( $gettok($gettok($2,2,64),1,46) == 66 ) || ( $gettok($gettok($2,2,64),1,46) == 67 ) || ( $gettok($gettok($2,2,64),1,46) == 68 ) { sockopen whois $+ ? $+ $gettok($2,2,64) $+ ? $+ whois.arin.net whois.arin.net 43 | set %whois off | halt }
n155=        if ( $gettok($gettok($2,2,64),1,46) == 69 ) || ( $gettok($gettok($2,2,64),1,46) == 199 ) || ( $gettok($gettok($2,2,64),1,46) == 204 ) || ( $gettok($gettok($2,2,64),1,46) == 205 ) || ( $gettok($gettok($2,2,64),1,46) == 206 ) || ( $gettok($gettok($2,2,64),1,46) == 207 ) || ( $gettok($gettok($2,2,64),1,46) == 208 ) || ( $gettok($gettok($2,2,64),1,46) == 209 ) || ( $gettok($gettok($2,2,64),1,46) == 216 ) { sockopen whois $+ ? $+ $gettok($2,2,64) $+ ? $+ whois.arin.net whois.arin.net 43 | set %whois off | halt } 
n156=
n157=        if ( $gettok($gettok($2,2,64),1,46) == 200 ) || ( $gettok($gettok($2,2,64),1,46) == 201 ) { sockopen whois $+ ? $+ $gettok($2,2,64) $+ ? $+ whois.lacnic.net whois.lacnic.net 43 | set %whois off | halt }
n158=        if ( $gettok($gettok($2,2,64),14,46) == 202 ) || ( $gettok($gettok($2,2,64),1,46) == 203 ) || ( $gettok($gettok($2,2,64),1,46) == 210 ) || ( $gettok($gettok($2,2,64),1,46) == 211 ) { sockopen whois $+ ? $+ $gettok($2,2,64) $+ ? $+ whois.apnic.net whois.apnic.net 43 | set %whois off | halt }
n159=        else { echo -a ***IP  $+ $gettok($2,2,64) $+  can't be whoised, see link for more information http://www.iana.org/assignments/ipv4-address-space | set %whois off | halt }
n160=      }
n161=      else { .dns $gettok($2,2,64) | halt }
n162=    }
n163=  }
n164=  if ( %portcheck == on ) {
n165=    if ( $event == 302 ) { readport | did -rna port 3 $gettok($2,2,64) | set %portcheck off | halt }
n166=  }
n167=  if ( %bunning == on ) { 
n168=    if ( $event == 302 ) {
n169=      unset %bunning
n170=      if ( $gettok($1,2,64) == chat.K22 Team.ru ) || ( $gettok($1,2,64) == linkin-park.ru ) { ban %BANchan %BANnick 1 | kick %BANchan %BANnick %kick_pup |4 Фраг %ki $+  | unset %BANchan | unset %BANnick | unset %kick_pup | halt }
n171=      else { ban %BANchan %BANnick 2 | kick %BANchan %BANnick %kick_pup |4 Фраг %ki $+  | unset %BANchan | unset %BANnick | unset %kick_pup | halt }
n172=    }
n173=  }
n174=  if ( %scan == on ) {
n175=    if ( $event == 311 ) { did -a scan 3 $2 | did -a scan 5 $3 $+ @ | did -a scan 5 $4 | did -a scan 32 $6- | halt }
n176=    if ( $event == 301 ) { did -ra scan 16 $3- | halt }
n177=    if ( $event == 319 ) { did -a scan 11 $3- | halt }
n178=    if ( $event == 312 ) { did -a scan 14 $3 | halt }
n179=    if ( $event == 317 ) { did -a scan 18 $duration($3) | halt }
n180=    if ( $event == 318 ) { halt }
n181=    if ( $event == 313 ) { did -ra scan 21 $5- $+ $chr(160) | halt }
n182=    if ( $event == 308 ) { did -a scan 21 & $5- | halt }
n183=  }
n184=  if ( $event == 311 ) && ( ( $4 == chat.K22 Team.ru ) || ( $4 == linkin-park.ru ) ) { set %gateIdent $remove($3,~) | echo -ae IP  $+ $base($left(%gateIdent,2),16,10) $+ . $+ $base($mid(%gateIdent,3,2),16,10) $+ . $+ $base($mid(%gateIdent,5,2),16,10) $+ . $+ $base($mid(%gateIdent,7,2),16,10) | unset %gateIdent }
n185=}
n186=on 1:CTCPREPLY:*:{
n187=  if ( %scan == on ) && ( $dialog(scan) != $null ) {
n188=    if ( $1 == VERSION ) { did -a scan 23 $2- | halt }
n189=    if ( $1 == finger ) { did -a scan 25 $2- | halt }
n190=    if ( $1 == ping ) { 
n191=      if ( $asc($2) isnum 48-57 ) { did -a scan 27 $calc($ctime - $2) | halt }
n192=      else { did -a scan 27 $2- | halt }
n193=    }
n194=    if ( $1 == time ) { did -a scan 29 $2- | halt }
n195=  }
n196=}
n197=on 1:CONNECT:{
n198=  if ( %identonconnect == on ) { .msg nickserv identify $readini(files/nicks.ini, $me, pass) }
n199=  if ( %autojoin == on ) { 
n200=    :join
n201=    if ( %joinchan  == $numtok(%chanforjoin,32) ) { unset %joinchan | halt }
n202=    else {
n203=      inc %joinchan
n204=      join $gettok(%chanforjoin,%joinchan,32) | goto join
n205=    }
n206=  }
n207=}
n208=
n209=on 1:JOIN:*:{
n210=  if ( $gettok($address($nick,2),2,64) == chat.K22 Team.ru ) || ( $gettok($address($nick,2),2,64) == chat.alaris.ru )  { set %gateIdent $remove($gettok($gettok($address($nick,0),2,33),1,64),~) | echo $chan ***IP вошедшего  $+ $base($left(%gateIdent,2),16,10) $+ . $+ $base($mid(%gateIdent,3,2),16,10) $+ . $+ $base($mid(%gateIdent,5,2),16,10) $+ . $+ $base($mid(%gateIdent,7,2),16,10) | unset %gateIdent | halt }
n211=  if ( $nick == $me && %autogreet == on ) { msg $chan %greet }
n212=  if ( %clonescan == on ) && ( $ialchan($address($nick,2),$chan,0) >= 2 ) {
n213=    set %currentclone 1
n214=    :clone
n215=    if ( %currentclone > $ialchan($address($nick,2),$chan,0) ) { 
n216=      unset %currentclone | echo $chan ***Обнаружены клоны: $replace(%clones,?,4 $+ $chr(124) $+ ) с хостом  $+ $gettok($ialchan($address($nick,2),$chan,1),2,64)
n217=      if ( %banrequest == on ) && ( $me isop $chan ) && ( $dialog(ban) == $null ) { dialog -nm ban ban | did -a ban 2 $gettok($ialchan($address($nick,2),$chan,1),2,64) (канал $chan $+ ) | banrequest %clones }
n218=      unset %clones
n219=    }
n220=    else { set %clones %clones $chr(63) $+ $ialchan($address($nick,2),$chan,%currentclone).nick $+ $chr(63) | inc %currentclone | goto clone }
n221=  }
n222=  if ( %scanonjoin == on ) && ( $nick != $me ) { 
n223=    set %port.join $+ $nick 0
n224=    :scan
n225=    if ( % [ $+ [ port.join $+ [ $nick ] ] ] == $lines(files\ports.txt) ) { unset %port.join $+ $nick | return }
n226=    else { 
n227=      if ( $sock(joinscan $+ ? $+ $nick $+ ? $+ $read(files\ports.txt, % [ $+ [ port.join $+ [ $nick ] ] ] )) == $null ) { sockopen joinscan $+ ? $+ $nick $+ ? $+ $read(files\ports.txt, % [ $+ [ port.join $+ [ $nick ] ] ] ) $gettok($address($nick,2),2,64) $read(files\ports.txt, % [ $+ [ port.join $+ [ $nick ] ] ] ) }
n228=      inc %port.join $+ $nick | goto scan
n229=    }
n230=  }
n231=}
n232=on 1:DNS:{ 
n233=  if ( %whois == on ) {
n234=    if ( $gettok($dns(1).ip,1,46) == 60 ) || ( $gettok($dns(1).ip,1,46) == 61 ) || ( $gettok($dns(1).ip,1,46) == 218 ) || ( $gettok($dns(1).ip,1,46) == 219 ) || ( $gettok($dns(1).ip,1,46) == 220 ) || ( $gettok($dns(1).ip,1,46) == 221 ) || ( $gettok($dns(1).ip,1,46) == 222 ) { sockopen whois $+ ? $+ $dns(1).ip $+ ? $+ whois.apnic.net whois.apnic.net 43 | halt }
n235=    if ( $gettok($dns(1).ip,1,46) == 62 ) || ( $gettok($dns(1).ip,1,46) == 80 ) || ( $gettok($dns(1).ip,1,46) == 81 ) || ( $gettok($dns(1).ip,1,46) == 82 ) || ( $gettok($dns(1).ip,1,46) == 193 ) || ( $gettok($dns(1).ip,1,46) == 194 ) || ( $gettok($dns(1).ip,1,46) == 195 ) || ( $gettok($dns(1).ip,1,46) == 212 ) { sockopen whois $+ ? $+ $dns(1).ip $+ ? $+ whois.ripe.net whois.ripe.net 43 | halt }
n236=    if ( $gettok($dns(1).ip,1,46) == 213 ) || ( $gettok($dns(1).ip,1,46) == 217 ) { sockopen whois $+ ? $+ $dns(1).ip $+ ? $+ whois.ripe.net whois.ripe.net 43 | halt }
n237=
n238=    if ( $gettok($dns(1).ip,1,46) == 63 ) || ( $gettok($dns(1).ip,1,46) == 64 ) || ( $gettok($dns(1).ip,1,46) == 65 ) || ( $gettok($dns(1).ip,1,46) == 66 ) || ( $gettok($dns(1).ip,1,46) == 67 ) || ( $gettok($dns(1).ip,1,46) == 68 ) || ( $gettok($dns(1).ip,1,46) == 69 ) || ( $gettok($dns(1).ip,1,46) == 199 ) { sockopen whois $+ ? $+ $dns(1).ip $+ ? $+ whois.arin.net whois.arin.net 43 | halt }
n239=    if ( $gettok($dns(1).ip,1,46) == 204 ) || ( $gettok($dns(1).ip,1,46) == 205 ) || ( $gettok($dns(1).ip,1,46) == 206 ) || ( $gettok($dns(1).ip,1,46) == 207 ) || ( $gettok($dns(1).ip,1,46) == 208 ) || ( $gettok($dns(1).ip,1,46) == 209 ) || ( $gettok($dns(1).ip,1,46) == 216 ) { sockopen whois $+ ? $+ $dns(1).ip $+ ? $+ whois.arin.net whois.arin.net 43 | halt } 
n240=
n241=    if ( $gettok($dns(1).ip,1,46) == 200 ) || ( $gettok($dns(1).ip,1,46) == 201 ) { sockopen whois $+ ? $+ $dns(1).ip $+ ? $+ whois.lacnic.net whois.lacnic.net 43 | halt }
n242=    if ( $gettok($dns(1).ip,1,46) == 202 ) || ( $gettok($dns(1).ip,1,46) == 203 ) || ( $gettok($dns(1).ip,1,46) == 210 ) || ( $gettok($dns(1).ip,1,46) == 211 ) { sockopen whois $+ ? $+ $dns(1).ip $+ ? $+ whois.apnic.net whois.apnic.net 43 | halt }
n243=    else { echo -a ***IP  $+ $dns(1).ip $+  can't be whoised, see link for more information http://www.iana.org/assignments/ipv4-address-space | set %whois off | halt }
n244=  }
n245=
n246=}
n247=
n248=on 1:dialog:*:sclick:*:{
n249=  if ( $dname == nickserv ) {
n250=    if ( $did == 1 ) { did -r nickserv 7,11 | readnicks }
n251=    if ( $did == 2 ) { did -ra nickserv 36 $me }
n252=    if ( $did == 7 ) { did -e nickserv 11 | did -i nickserv 11 1 $readini(files\nicks.ini, n, $did(7), pass) }
n253=    if ( $did == 12) {
n254=      writeini files/nicks.ini $did(7) nick $did(7) | writeini files/nicks.ini $did(7) pass $did(11)
n255=      did -ia nickserv 7 $did(7) | did -b nickserv 11 | readnicks
n256=    }
n257=    if ( $did == 13 ) && ( $did(7) != $null ) { remini files/nicks.ini $did(7) | did -r nickserv 11 | readnicks }
n258=    if ( $did(16).state == 1 ) { set %identonconnect on }
n259=    if ( $did(16).state == 0 ) { set %identonconnect off }
n260=    if ( $did(17).state == 1 ) { set %identonchange on }
n261=    if ( $did(17).state == 0 ) { set %identonchange off }
n262=
n263=    if ( $did == 15 ) { 
n264=      if ( %identonchange == on ) { nick $did(7).seltext | .msg nickserv identify $readini(files/nicks.ini, n, $did(7), pass) }
n265=      else { nick $did(7).seltext }
n266=    }
n267=    if ( $did == 127 ) { .msg nickserv ghost $did(7) $readini(files/nicks.ini, n, $did(7), pass) }
n268=    if ( $did == 24 ) {
n269=      if ( $did(21) == $null ) || ( $did(22) == $null ) { did -i nickserv 31 1 Заполните все поля }
n270=      else { .msg nickserv link $did(21) $did(22) | set -u60 %linking on }
n271=    }
n272=    if ( $did == 29 ) {
n273=      if ( $did(26) == $null ) || ( $did(28) == $null ) { did -i nickserv 31 1 Заполните все поля }
n274=      else { .msg nickserv $did(26) $did(28) | set -u60 %linking on }
n275=    }
n276=    if ( $did == 32 ) && ( $did(7) != $null ) { nick $did(7) | .msg nickserv identify $did(11) }
n277=    if ( $did == 35 ) { .msg nickserv info $did(36) | set -u60 %nickcheck on }
n278=    if ( $did == 44 ) {
n279=      if ( $did(41) == $null ) || ( $did(43) == $null ) { did -i nickserv 47 1 Заполните все поля }
n280=      else { set %regnick $did(41) | set %regpass $did(43) | nick $did(41) | msg nickserv register $did(43) | set -u60 %registration on }
n281=    }
n282=    if ( $did(45).state == 1 ) { set %addnick on }
n283=    if ( $did == 51 ) { .msg nickserv drop $did(52) }
n284=    if ( $did == 56 ) { .msg nickserv set kill on }
n285=    if ( $did == 57 ) { .msg nickserv set kill immed }
n286=    if ( $did == 58 ) { .msg nickserv set kill off }
n287=    if ( $did == 67 ) { .msg nickserv set automask on }
n288=    if ( $did == 68 ) { .msg nickserv set automask off }
n289=    if ( $did == 72 ) { .msg nickserv set secure on }
n290=    if ( $did == 73 ) { .msg nickserv set secure off }
n291=    if ( $did == 77 ) { .msg nickserv set unsecure on } 
n292=    if ( $did == 78 ) { .msg nickserv set unsecure off }
n293=    if ( $did == 82 ) { .msg nickserv set private on }
n294=    if ( $did == 83 ) { .msg nickserv set private off }
n295=    if ( $did == 88 ) { .msg nickserv set privmsg on }
n296=    if ( $did == 89 ) { .msg nickserv set privmsg off }
n297=    if ( $did == 93 ) { .msg nickserv set email $did(92) }
n298=    if ( $did == 97 ) { .msg nickserv set url $did(96) }
n299=    if ( $did == 100 ) { .msg nickserv set uin $did(99) }
n300=    if ( $did == 103 ) { .msg nickserv set gsm $did(102) }
n301=    if ( $did == 106 ) { .msg nickserv set phone $did(105) }
n302=    if ( $did == 110 ) { .msg nickserv set master $did(109) }
n303=    if ( $did == 118 ) {
n304=      if ( $did(113).state == 1 ) { .msg nickserv set hide email on }
n305=      if ( $did(114).state == 1 ) { .msg nickserv set hide url on }
n306=      if ( $did(115).state == 1 ) { .msg nickserv set hide addr on }
n307=      if ( $did(116).state == 1 ) { .msg nickserv set hide quit on }
n308=      if ( $did(121).state == 1 ) { .msg nickserv set hide all on }
n309=    }
n310=    if ( $did == 119 ) {
n311=      if ( $did(113).state == 1 ) { .msg nickserv set hide email off }
n312=      if ( $did(114).state == 1 ) { .msg nickserv set hide url off }
n313=      if ( $did(115).state == 1 ) { .msg nickserv set hide addr off }
n314=      if ( $did(116).state == 1 ) { .msg nickserv set hide quit off }
n315=      if ( $did(121).state == 1 ) { .msg nickserv set hide all off }
n316=    }
n317=    if ( $did == 126 ) { .msg nickserv set password $did(125) }
n318=    if ( $did == 131 ) { .msg nickserv access add $did(134) }
n319=    if ( $did == 132 ) { .msg nickserv access del $gettok($did(134).seltext,2,32) }
n320=    if ( $did == 133 ) { did -r nickserv 134 | .msg nickserv access list | set -u60 %accesslist on }
n321=  }
n322=  if ( $dname == chanserv ) {
n323=    if ( $did == 9 ) { did -e chanserv 11 | did -i chanserv 11 1 $readini(files/chans.ini, n, $did(9), pass) }
n324=    if ( $did == 14 ) { .msg chanserv identify $did(9) $did(11) }
n325=    if ( $did == 12 ) {
n326=      writeini files/chans.ini $did(9) nick $did(9) | writeini files/chans.ini $did(9) pass $did(11)
n327=      did -ia chanserv 9 $did(9) | readchans
n328=    }
n329=    if ( $did == 13 ) { remini files/chans.ini $did(9) | readchans }
n330=    if ( $did == 26 ) { 
n331=      set %regchan $did(23) | set %regpass $did(25)
n332=      join %regchan
n333=      if ( $me isop %regchan ) { 
n334=        .msg chanserv register $did(23) $did(25)
n335=        if ( %addchan == on ) { 
n336=          writeini files/chans.ini $did(23) nick $did(23) | writeini files/chans.ini $did(23) pass $did(25)
n337=          readchans
n338=        }
n339=      }
n340=      else { echo -a *** Вы должны иметь OP для регистрации }
n341=    }
n342=    if ( $did == 31 ) { .msg chanserv drop $did(28) $did(30) }
n343=    if ( $did(33).state == 1 ) { set %addchan on }
n344=    if ( $did(33).state == 0 ) { set %addchan off }
n345=    if ( $did == 18 ) { .msg chanserv info $did(17) | set -u60 %chancheck on }
n346=    if ( $did == 38 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) founder $did(37) }
n347=    if ( $did == 41 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) successor $did(40) }
n348=    if ( $did == 42 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) successor - }
n349=    if ( $did == 45 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) password $did(44) }
n350=    if ( $did == 55 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) entrymsg $did(49) }
n351=    if ( $did == 56 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) entrymsg - }
n352=    if ( $did == 57 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) email $did(54) }
n353=    if ( $did == 58 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) email - }
n354=    if ( $did == 62 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) url $did(61) }
n355=    if ( $did == 63 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) url - }
n356=    if ( $did == 66 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) forget on }
n357=    if ( $did == 70 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) verbose on }
n358=    if ( $did == 71 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) verbose off }
n359=    if ( $did == 77 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) expirebans on }
n360=    if ( $did == 78 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) expirebans off }
n361=    if ( $did == 82 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) topiclock on }
n362=    if ( $did == 83 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) topiclock off }
n363=    if ( $did == 86 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) private on }
n364=    if ( $did == 87 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) private off }
n365=    if ( $did == 90 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) secureops on }
n366=    if ( $did == 91 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) secureops off }
n367=    if ( $did == 94 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) restricted on }
n368=    if ( $did == 95 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) restricted off }
n369=    if ( $did == 98 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) secure on }
n370=    if ( $did == 99 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) secure off }
n371=    if ( $did == 102 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) guard on }
n372=    if ( $did == 103 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) guard off }
n373=    if ( $did == 106 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) splitops on }
n374=    if ( $did == 107 ) && ( $did(5) != $null ) { .msg chanserv set $did(5) splitops off }
n375=    if ( $did == 183 ) && ( $did(5) != $null ) { .msg chanserv level $did(5) list | set %levellist 1 }
n376=    if ( $did == 112 ) && ( $did(5) != $null ) { .msg chanserv level $did(5) set 1 $did(111) }
n377=    if ( $did == 116 ) && ( $did(5) != $null ) { .msg chanserv level $did(5) set 2 $did(115) }
n378=    if ( $did == 120 ) && ( $did(5) != $null ) { .msg chanserv level $did(5) set 3 $did(119) }
n379=    if ( $did == 124 ) && ( $did(5) != $null ) { .msg chanserv level $did(5) set 4 $did(123) }
n380=    if ( $did == 128 ) && ( $did(5) != $null ) { .msg chanserv level $did(5) set 5 $did(127) }
n381=    if ( $did == 132 ) && ( $did(5) != $null ) { .msg chanserv level $did(5) set 6 $did(131) }
n382=    if ( $did == 136 ) && ( $did(5) != $null ) { .msg chanserv level $did(5) set 7 $did(135) }
n383=    if ( $did == 140 ) && ( $did(5) != $null ) { .msg chanserv level $did(5) set 8 $did(139) }
n384=    if ( $did == 144 ) && ( $did(5) != $null ) { .msg chanserv level $did(5) set 9 $did(143) }
n385=    if ( $did == 148 ) && ( $did(5) != $null ) { .msg chanserv level $did(5) set 10 $did(147) }
n386=    if ( $did == 152 ) && ( $did(5) != $null ) { .msg chanserv level $did(5) set 11 $did(151) }
n387=    if ( $did == 156 ) && ( $did(5) != $null ) { .msg chanserv level $did(5) set 12 $did(155) }
n388=    if ( $did == 160 ) && ( $did(5) != $null ) { .msg chanserv level $did(5) set 13 $did(159) }
n389=    if ( $did == 164 ) && ( $did(5) != $null ) { .msg chanserv level $did(5) set 14 $did(163) }
n390=    if ( $did == 188 ) && ( $did(5) != $null ) { .msg chanserv access $did(5) add $did(237) $did(239) | did -b chanserv 235 | set %accessadding on }
n391=    if ( $did == 190 ) && ( $did(5) != $null ) { did -r chanserv 235 | set -u60 %getaccesslist on | .msg chanserv access $did(5) list | did -er chanserv 235 }
n392=    if ( $did == 189 ) && ( $did(5) != $null ) { .msg chanserv access $did(5) del $gettok($did(235).seltext,3,32) | did -b chanserv 235 | set %accessadding on }
n393=    if ( $did == 193 ) { set %cmode 1 }
n394=    if ( $did == 194 ) { set %cmode 0 }
n395=    if ( $did == 195 ) { set %cmode null }
n396=    if ( $did == 197 ) { set %imode 1 }
n397=    if ( $did == 198 ) { set %imode 0 }
n398=    if ( $did == 199 ) { set %imode null }
n399=    if ( $did == 201 ) { set %mmode 1 }
n400=    if ( $did == 202 ) { set %mmode 0 }
n401=    if ( $did == 203 ) { set %mmode null }
n402=    if ( $did == 205 ) { set %pmode 1 }
n403=    if ( $did == 206 ) { set %pmode 0 }
n404=    if ( $did == 207 ) { set %pmode null }
n405=    if ( $did == 209 ) { set %Rmode 1 }
n406=    if ( $did == 210 ) { set %Rmode 0 }
n407=    if ( $did == 211 ) { set %Rmode null }
n408=    if ( $did == 213 ) { set %smode 1 }
n409=    if ( $did == 214 ) { set %smode 0 }
n410=    if ( $did == 215 ) { set %smode null }
n411=    if ( $did == 217 ) { set %kmode 1 }
n412=    if ( $did == 218 ) { set %kmode 0 }
n413=    if ( $did == 219 ) { set %kmode null }
n414=    if ( $did == 221 ) { set %lmode 1 }
n415=    if ( $did == 222 ) { set %lmode 0 }
n416=    if ( $did == 223 ) { set %lmode null }
n417=    if ( $did == 225 ) { set %tmode 1 }
n418=    if ( $did == 226 ) { set %tmode 0 }
n419=    if ( $did == 227 ) { set %tmode null }
n420=    if ( $did == 229 ) { set %nmode 1 }
n421=    if ( $did == 230 ) { set %nmode 0 }
n422=    if ( $did == 231 ) { set %nmode null }
n423=    if ( $did == 232 ) && ( $did(5) != $null ) {
n424=      set %modelock "" | if ( %cmode == 1 ) || ( %imode == 1 ) || (%mmode == 1) || (%pmode == 1) || (%Rmode == 1) || (%smode == 1) || (%kmode == 1) || (%lmode == 1) || (%tmode == 1) || (%nmode == 1) { set %modelock + }
n425=      if (%cmode == 1 ) { set %modelock %modelock $+ c } | if (%imode == 1) { set %modelock %modelock $+ i } | if (%mmode == 1) { set %modelock %modelock $+ m } | if (%pmode == 1) { set %modelock %modelock $+ p } | if (%Rmode == 1) { set %modelock %modelock $+ R } | if (%smode == 1 ) { set %modelock %modelock $+ s } | if (%kmode == 1) { set %modelock %modelock $+ k } | if (%lmode == 1) { set %modelock %modelock $+ l } | if (%tmode == 1) { set %modelock %modelock $+ t } | if (%nmode == 1) { set %modelock %modelock $+ n }
n426=      if ( %cmode == 0 ) || (%imode == 0) || (%mmode == 0) || (%pmode == 0) || (%Rmode == 0) || (%smode == 0) || (%kmode == 0) || (%lmode == 0) || (%tmode == 0) || (%nmode == 0) { set %modelock %modelock $+ - }
n427=      if (%cmode == 0 ) { set %modelock %modelock $+ c } | if (%imode == 0) { set %modelock %modelock $+ i } | if (%mmode == 0) { set %modelock %modelock $+ m } | if (%pmode == 0) { set %modelock %modelock $+ p } | if (%Rmode == 0) { set %modelock %modelock $+ R } | if (%smode == 0 ) { set %modelock %modelock $+ s } | if (%kmode == 0) { set %modelock %modelock $+ k } | if (%lmode == 0) { set %modelock %modelock $+ l } | if (%tmode == 0) { set %modelock %modelock $+ t } | if (%nmode == 0) { set %modelock %modelock $+ n }
n428=      .msg chanserv set $did(5) mlock %modelock | unset %modelock
n429=    }
n430=    if ( $did == 233 ) { chanserv set $did(113) mlock +tn }
n431=  }
n432=  if ( $dname == options ) {
n433=    if ( $did == 3 ) { set %myslap $did(3).seltext }
n434=    if ( $did == 4 ) { readprotect }
n435=    if ( $did == 6 ) { 
n436=      if ( $did(6).state == 1 ) { did -b options 7 | set %tran-rus on }
n437=      if ( $did(6).state == 0 ) { did -e options 7 | set %tran-rus off }
n438=    }
n439=    if ( $did == 7 ) { 
n440=      if ( $did(7).state == 1 ) { did -b options 6 | set %rus-tran on }
n441=      if ( $did(7).state == 0 ) { did -e options 6 | set %rus-tran off }
n442=    }
n443=    if ( $did == 14 ) {
n444=      if ( $did(14).state == 0 ) { did -e options 3 | set %randomslap off }
n445=      if ( $did(14).state == 1 ) { did -b options 3 | set %randomslap on }
n446=    }
n447=    if ( $did == 15 ) { did -ra options 40 %k | readslaps | showslap }
n448=    if ( $did == 16 ) { readaway | showaway }
n449=    if ( $did == 19 ) { 
n450=      if ( $lines(files\away.txt) < 10 ) {
n451=        if ($read [ -w $+ [ " [ $+ [ $did(18) ] $+ " ] ] ] files\away.txt != $did(18)) {
n452=          write files/away.txt $did(18)
n453=          readaway
n454=        }
n455=      }
n456=      else { echo -a *** Колличество причин не может быть больше 10 =) сорри =) }
n457=    }
n458=    if ( $did == 42 ) { 
n459=      if ( $did(42).state == 1 ) { set %scanonjoin on }
n460=      if ( $did(42).state == 0 ) { set %scanonjoin off }
n461=    }
n462=    if ( $did == 43 ) { run files\ports.txt }
n463=    if ( $did == 45 ) { 
n464=      if ( $did(45).state == 0 ) { did -b options 47 | set %clonescan off }
n465=      if ( $did(45).state == 1 ) { did -e options 47 | set %clonescan on }
n466=    }
n467=    if ( $did == 47 ) { 
n468=      if ( $did(47).state == 1 ) { set %banrequest on }
n469=      if ( $did(47).state == 0 ) { set %banrequest off }
n470=    }
n471=    if ( $did == 23 ) { did -b options 33,35,36 | .writeini $mircdirfiles/options.ini Away Mode manual }
n472=    if ( $did == 24 ) { did -e options 33,35,36 | .writeini $mircdirfiles/options.ini Away Mode auto | showaway }
n473=    if ( $did == 21 ) { write [ -dw $+ [ " [ $+ [ $did(18) ] $+ " ] ] ] files\away.txt | readaway }
n474=    if ( $did == 26 ) { .writeini $mircdirfiles/options.ini Away Nick NoChange | did -b options 28,30 }
n475=    if ( $did == 27 ) { .writeini $mircdirfiles/options.ini Away Nick full | did -e options 30 | did -b options 28 | showaway }
n476=    if ( $did == 29 ) { .writeini $mircdirfiles/options.ini Away Nick add | did -e options 28 | did -b options 30 | showaway }
n477=    if ( $did == 35 && $did(35).seltext != $null ) { .writeini $mircdirfiles/options.ini Away IdleDelay $did(35).seltext }
n478=    if ( $did == 37  ) {
n479=      if ($read [ -w $+ [ " [ $+ [ $did(3) ] $+ " ] ] ] files\slaps.txt != $did(3)) {
n480=        write files/slaps.txt $did(3)
n481=        did -ia options 3 $did(3) | readslaps | showslap
n482=      }
n483=    }
n484=    if ( $did == 38 ) { write [ -dw $+ [ " [ $+ [ $did(3) ] $+ " ] ] ] files\slaps.txt | readslaps | showslap }
n485=    if ( $did == 48 ) { readctcp | showctcp }
n486=    if ( $did == 52 ) {
n487=      if ($read [ -w $+ [ " [ $+ [ $did(51) ] $+ " ] ] ] files\ctcpver.txt != $did(51)) {
n488=        write files/ctcpver.txt $did(51)
n489=        did -ia options 51 $did(51) | readctcp | showctcp
n490=      }
n491=    }
n492=    if ( $did == 53 ) { write [ -dw $+ [ " [ $+ [ $did(51) ] $+ " ] ] ] files\ctcpver.txt | readctcp | showctcp }
n493=    if ( $did == 51  && $did(51).seltext != $null ) { writeini $mircdirfiles/options.ini Ctcp Version $did(51).seltext | echo -a *** Ваш ответ на ctcp запрос VERSION теперь будет такой:10 $readini($mircdirfiles/options.ini, n, ctcp, Version) }
n494=    if ( $did == 60 ) {
n495=      if ($read [ -w $+ [ " [ $+ [ $did(59) ] $+ " ] ] ] files\ctcpping.txt != $did(59)) {
n496=        write files/ctcpping.txt $did(59)
n497=      did -ia options 59 $did(59) | readctcp | showctcp }
n498=    }
n499=    if ( $did == 61 ) { write [ -dw $+ [ " [ $+ [ $did(59) ] $+ " ] ] ] files\ctcpping.txt | readctcp | showctcp }
n500=    if ( $did == 59 && $did(59).seltext != $null ) { writeini $mircdirfiles/options.ini Ctcp Ping $did(59).seltext | echo -a *** Ваш ответ на ctcp запрос PING теперь будет такой:10 $readini($mircdirfiles/options.ini, n, ctcp, Ping) }
n501=    if ( $did == 56 ) {
n502=      if ($read [ -w $+ [ " [ $+ [ $did(55) ] $+ " ] ] ] files\ctcptime.txt != $did(55)) {
n503=        write files/ctcptime.txt $did(55)
n504=        did -ia options 55 0 $did(55) | readctcp | showctcp
n505=      }
n506=    }
n507=    if ( $did == 57 ) { write [ -dw $+ [ " [ $+ [ $did(55) ] $+ " ] ] ] files\ctcptime.txt | readctcp | showctcp }
n508=    if ( $did == 55 && $did(55).seltext != $null ) { writeini $mircdirfiles/options.ini Ctcp Time $did(55).seltext | echo -a *** Ваш ответ на ctcp запрос TIME теперь будет такой:10 $readini($mircdirfiles/options.ini, n, ctcp, Time) }
n509=    if ( $did == 64 ) { 
n510=      if ($read [ -w $+ [ " [ $+ [ $did(63) ] $+ " ] ] ] files\ctcpfin.txt != $did(63)) {
n511=        write files\ctcpfin.txt $did(63)
n512=        did -ia options 63 $did(63) | readctcp | showctcp
n513=      }
n514=    }
n515=    if ( $did == 65 ) { write [ -dw $+ [ " [ $+ [ $did(63) ] $+ " ] ] ] files\ctcpfin.txt | readctcp | showctcp }
n516=    if ( $did == 63 && $did(63) != $null )  { writeini $mircdirfiles/options.ini Ctcp Finger $did(63).seltext | echo -s *** Ваш ответ на ctcp FINGER теперь будет такой:10 $readini($mircdirfiles/options.ini, n, ctcp, Finger) }
n517=    if ( $did == 66 ) { 
n518=      if ( %ctcpsilence == on ) { set %ctcpsilence off | did -e options 51,52,53,60,61,59,56,55,57,64,65,63,147,148,149,150 }
n519=      else { set %ctcpsilence on | did -b options 51,52,53,60,61,59,56,55,57,64,65,63,147,148,149,150 }
n520=    }
n521=    if ( $did == 147 ) {
n522=      if ( %version == on ) { set %version off | did -b options 51,52,53 }
n523=      else { set %version on | did -e options 51,52,53 }
n524=    }
n525=    if ( $did == 148 ) {
n526=      if ( %time == on ) { set %time off | did -b options 55,56,57 }
n527=      else { set %time on | did -e options 55,56,57 }
n528=    }
n529=    if ( $did == 149 ) {
n530=      if ( %finger == on ) { set %finger off | did -b options 63,64,65 }
n531=      else { set %finger on | did -e options 63,64,65 }
n532=    }
n533=    if ( $did == 150 ) {
n534=      if ( %ping == on ) { set %ping off | did -b options 59,60,61 }
n535=      else { set %ping on | did -e options 59,60,61 }
n536=    }
n537=    if ( $did == 152) {
n538=      if ( %winamp.plugin == on ) { set %winamp.plugin off | .timermp3 off }
n539=      else { set %winamp.plugin on | .timermp3 -o 0 10 mp3 }
n540=    }
n541=    if ( $did == 155 ) { set %sayto-option private }
n542=    if ( $did == 156 ) { set %sayto-option nick }
n543=    if ( $did == 160 )  {
n544=      if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) { .writeini $mircdirfiles/options.ini Away Action no | halt }
n545=      if ( $readini($mircdirfiles/options.ini,n,away,action) == no ) { .writeini $mircdirfiles/options.ini Away Action yes | halt }
n546=    }
n547=    if ( $did == 79 ) { 
n548=      if ( %autojoin == on ) { set %autojoin off | did -b options 74 | did -r options 74 }
n549=      else { set %autojoin on | did -e options 74 | did -a options 74 %chanforjoin }
n550=    }
n551=    if ( $did == 80 ) { 
n552=      if ( %autogreet == on ) { set %autogreet off | did -b options 77 | did -r options 77 }
n553=      else { set %autogreet on | did -e options 77 | did -a options 77 %greet }
n554=    }
n555=    if ( $did == 69 ) { showother }
n556=    if ( $did == 84 ) { showmail }
n557=    if ( $did == 113 ) { 
n558=      if ( %checkmail1 == on ) { set %checkmail1 off | did -b options 85,87,89,140 | .timercheck.mail.1 off }
n559=      else { set %checkmail1 on | did -e options 85,87,89,140 }
n560=    }
n561=    if ( $did == 114 ) { 
n562=      if ( %checkmail2 == on ) { set %checkmail2 off | did -b options 91,93,95,142 | .timercheck.mail.2 off }
n563=      else { set %checkmail2 on | did -e options 91,93,95,142 }
n564=    }
n565=    if ( $did == 115 ) { 
n566=      if ( %checkmail3 == on ) { set %checkmail3 off | did -b options 100,102,104,144 | .timercheck.mail.3 off }
n567=      else { set %checkmail3 on | did -e options 100,102,104,144 }
n568=    }
n569=    if ( $did == 116 ) { 
n570=      if ( %checkmail4 == on ) { set %checkmail4 off | did -b options 106,108,110,146 | .timercheck.mail.4 off }
n571=      else { set %checkmail4 on | did -e options 106,108,110,146 }
n572=    }
n573=    if ( $did == 12 ) { 
n574=      if ( %checkmail1 == on ) && ( %mail.check.delay > 0 ) { .timercheck.mail.1 -o 0 %mail.check.delay /checkmail 1 }
n575=      if ( %checkmail2 == on ) && ( %mail.check.delay > 0 ) { .timercheck.mail.2 -o 0 %mail.check.delay /checkmail 2 }
n576=      if ( %checkmail3 == on ) && ( %mail.check.delay > 0 ) { .timercheck.mail.3 -o 0 %mail.check.delay /checkmail 3 }
n577=      if ( %checkmail4 == on ) && ( %mail.check.delay > 0 ) { .timercheck.mail.4 -o 0 %mail.check.delay /checkmail 4 }
n578=    }
n579=    if ( $did == 13 ) {
n580=      if ( $did(13).state == 1 ) { set %unban on }
n581=      if ( $did(13).state == 0 ) { set %unban off }
n582=    } 
n583=    if ( $did == 20 ) {
n584=      if ( $did(20).state == 1 ) { set %csunban on }
n585=      if ( $did(20).state == 0 ) { set %csunban off }
n586=    }
n587=    if ( $did == 25 ) {
n588=      if ( $did(25).state == 1 ) { set %banrevenge on | did -e options 32,34,46 }
n589=      if ( $did(25).state == 0 ) { set %banrevenge off | did -b options 32,34,46 }
n590=    }
n591=    if ( $did(32).state == 1 ) { set %banrevengeon deop }
n592=    if ( $did(34).state == 1 ) { set %banrevengeon kick }
n593=    if ( $did(46).state == 1 ) { set %banrevengeon kban }
n594=
n595=    if ( $did == 120 ) {
n596=      if ( $did(120).state == 1 ) { set %kickrejoin on }
n597=      if ( $did(120).state == 0 ) { set %kickrejoin off }
n598=    }
n599=    if ( $did == 121 ) {
n600=      if ( $did(121).state == 1 ) { set %kickrevenge on | did -e options 122,123,124 }
n601=      if ( $did(121).state == 0 ) { set %kickrevenge off | did -b options 122,123,124 }
n602=    }
n603=    if ( $did(122).state == 1 ) { set %kickrevengeon deop }
n604=    if ( $did(123).state == 1 ) { set %kickrevengeon kick }
n605=    if ( $did(124).state == 1 ) { set %kickrevengeon kban }
n606=
n607=    if ( $did == 125 ) {
n608=      if ( $did(125).state == 1 ) { set %csop on }
n609=      if ( $did(125).state == 0 ) { set %csop off }
n610=    }
n611=    if ( $did == 126 ) {
n612=      if ( $did(126).state == 1 ) { set %deoprevenge on | did -e options 127,128,129 }
n613=      if ( $did(126).state == 0 ) { set %deoprevenge off | did -b options 127,128,129 }
n614=    }
n615=    if ( $did(127).state == 1 ) { set %deoprevengeon deop }
n616=    if ( $did(128).state == 1 ) { set %deoprevengeon kick }
n617=    if ( $did(129).state == 1 ) { set %deoprevengeon kban }
n618=    if ( $did == 130 ) {
n619=      if ( $did(130).seltext == Query Flood ) { 
n620=        readflood Query
n621=      }
n622=      if ( $did(130).seltext == Notice/Dcc Flood ) { 
n623=        readflood Notice/Dcc
n624=      }
n625=      if ( $did(130).seltext == CTCP Flood ) { 
n626=        readflood Ctcp
n627=      }
n628=      if ( $did(130).seltext == Invite Flood ) { 
n629=        readflood Invite
n630=      }
n631=    }
n632=  }
n633=  if ( $dname == memoserv ) {
n634=    if ( $did == 5 ) { did -rb memoserv 7 }
n635=    if ( $did == 6 ) { did -e memoserv 7 }
n636=    if ( $did == 13 ) && ( $did(10).seltext != $null ) { unset %listmemo | .msg memoserv read $did(7) $gettok($did(10).seltext,2,32) | set -u60 %readmemo on | set %curmemo $gettok($did(10).seltext,2,32) }
n637=    if ( $did == 14 ) && ( $did(10).seltext != $null ) { .msg memoserv del $gettok($did(10).seltext,2,32) | set %memodel on | did -r memoserv 10 }
n638=    if ( $did == 18 ) { did -e memoserv 19 |  did -b memoserv 21 }
n639=    if ( $did == 20 ) { did -e memoserv 21 | did -b memoserv 19 }
n640=    if ( $did == 22 ) {
n641=      if ( %memoreply == on ) { msg memoserv reply %curmemo $replace($did(17),|,/,},/,{,/) }
n642=      else { .msg memoserv send $did(19) $did(21) $did(17) }
n643=      did -r memoserv 17
n644=    }
n645=    if ( $did == 26 ) { .msg nickserv set memos on }
n646=    if ( $did == 27 ) { .msg nickserv set memos off }
n647=    if ( $did == 30 ) { .msg nickserv set notify on }
n648=    if ( $did == 31 ) { .msg nickserv set notify off }
n649=    if ( $did == 34 ) { .msg nickserv set signon on }
n650=    if ( $did == 35 ) { .msg nickserv set signon off }
n651=    if ( $did == 37 ) { set %memoreply on | did -c memoserv 2 | did -b memoserv 18,19,20,21 }
n652=    if ( $did == 41 ) { .msg memoserv forward %curmemo $did(42) }
n653=    if ( $did == 43 ) { did -r memoserv 10 | set -u60 %listmemo on | .msg memoserv list $did(7) | unset %readmemo }
n654=    if ( $did == 44 ) { unset %memoreply | unset %readmemo | unset %curmemo | unset %listmemo | unset %memodel }
n655=  } 
n656=  if ( $dname == away ) {
n657=    if ( $did == 3 ) { 
n658=      if ( $readini($mircdirfiles/options.ini,n,away,nick) != NoChange ) nick %mynormalnick 
n659=      unset %awayis
n660=      away 
n661=      if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) {
n662=        ame i aM bAck. Меня не было: $duration($calc($ctime - $eval($+(%,away.time,$cid),2)))
n663=      }
n664=    }
n665=  }
n666=  if ( $dname == scan ) {
n667=    if ( $did == 34 ) { .ctcp %user version | .ctcp %user ping | .ctcp %user time | .ctcp %user finger }
n668=    if ( $did == 35 ) { set %scan off }
n669=  }
n670=  if ( $dname == port ) {
n671=    if ( $did == 6 ) && ( $did(3) != $null ) && ( $did(5) != $null ) && ( $sock(portscan $+ $did(3) $+ $did(5)) == $null ) { set %portcheck on | write -il1 files/tmp.txt $+($did(3),:,$did(5)) | sockopen portscan $+ $did(3) $+ $did(5) $did(3) $did(5) | did -a port 9 Пожалуйста, ждите... | portcheck }
n672=    if ( $did == 7 ) && ( $did(3) != $null ) { 
n673=      if (  $sock(telnet) == $null ) { write -il1 files/tmp.txt $+($did(3),:,$did(5)) | telnet $did(3) $did(5) }  
n674=      else { echo -a ***Телнет сессия уже открыта }
n675=    }
n676=    if ( $did == 10 ) { set %portcheck off }
n677=    if ( $did == 11 ) { .remove files/tmp.txt | did -r port 3,5 }
n678=    if ( $did == 12 ) {
n679=      if ( $did(12).state == 1 ) { set %scanlog on }
n680=      if ( $did(12).state == 0 ) { set %scanlog off }
n681=    }
n682=    if ( $did == 13 ) { clipboard $did(9).seltext }
n683=    if ( $did == 14 ) { did -r port 9 }
n684=    if ( $did == 15 ) && ( $did(3) != $null ) { did -a port 9 Резултат хуиза см. в отдельном окне | set %whois on | ip_whois $did(3) | write -il1 files/tmp.txt $+($did(3),:,$did(5)) }
n685=  }
n686=  if ( $dname == ban ) {
n687=    if ( $did == 3 ) { set %banchan # $+ $replace($gettok($did(2),3,32),$chr(41),$chr(32)) | if ( $me isop %banchan ) { ban %banchan *!*@ $+ $gettok($did(2),1,32) } }
n688=  }
n689=}
n690=
n691=on 1:dialog:*:edit:*:{
n692=  if ( $dname == options ) {
n693=    if ( $did == 28 && $did(28).text != $null ) { .writeini $mircdirfiles/options.ini Away NickValue $did(28).text }
n694=    if ( $did == 30 && $did(30).text != $null ) { .writeini $mircdirfiles/options.ini Away NickValue $did(30).text }
n695=    if ( $did == 35 && $did(35).text != $null ) { .writeini $mircdirfiles/options.ini Away IdleDelay $did(35).text }
n696=    if ( $did == 40 ) { set %k $did(40).text | set %ki %k + 1 }
n697=    if ( $did == 70 ) { set %sayto $did(70).text }
n698=    if ( $did == 74 ) { set %chanforjoin $did(74).text }
n699=    if ( $did == 77 ) { set %greet $did(77).text }
n700=    if ( $did == 85 ) { set %mailserver.1 $did(85).text }
n701=    if ( $did == 87 ) { set %maillogin.1 $did(87).text }
n702=    if ( $did == 89 ) { set %mailpassword.1 $did(89).text }
n703=    if ( $did == 91 ) { set %mailserver.2 $did(91).text }
n704=    if ( $did == 93 ) { set %maillogin.2 $did(93).text }
n705=    if ( $did == 95 ) { set %mailpassword.2 $did(95).text }
n706=    if ( $did == 100 ) { set %mailserver.3 $did(100).text }
n707=    if ( $did == 102 ) { set %maillogin.3 $did(102).text }
n708=    if ( $did == 104 ) { set %mailpassword.3 $did(104).text }
n709=    if ( $did == 106 ) { set %mailserver.4 $did(106).text }
n710=    if ( $did == 108 ) { set %maillogin.4 $did(108).text }
n711=    if ( $did == 110 ) { set %mailpassword.4 $did(110).text }
n712=    if ( $did == 140 ) { set %mailname.1 $did(140).text }
n713=    if ( $did == 142 ) { set %mailname.2 $did(142).text }
n714=    if ( $did == 144 ) { set %mailname.3 $did(144).text }
n715=    if ( $did == 146 ) { set %mailname.4 $did(146).text }
n716=    if ( $did == 118 && $did(118) != 0 ) { set %mail.check.delay $calc($did(118).text * 60) }
n717=    if ( $did == 133 && $did(130) == Query Flood ) { saveprotect Query }
n718=    if ( $did == 134 && $did(130) == Query Flood ) { saveprotect Query }
n719=    if ( $did == 137 && $did(130) == Query Flood ) { saveprotect Query }
n720=
n721=    if ( $did == 133 && $did(130) == Notice/Dcc Flood ) { saveprotect Notice/Dcc }
n722=    if ( $did == 134 && $did(130) == Notice/Dcc Flood ) { saveprotect Notice/Dcc }
n723=    if ( $did == 137 && $did(130) == Notice/Dcc Flood ) { saveprotect Notice/Dcc }
n724=
n725=    if ( $did == 133 && $did(130) == CTCP Flood ) { saveprotect CTCP }
n726=    if ( $did == 134 && $did(130) == CTCP Flood ) { saveprotect CTCP }
n727=    if ( $did == 137 && $did(130) == CTCP Flood ) { saveprotect CTCP }
n728=
n729=    if ( $did == 133 && $did(130) == Invite Flood ) { saveprotect Invite }
n730=    if ( $did == 134 && $did(130) == Invite Flood ) { saveprotect Invite }
n731=    if ( $did == 137 && $did(130) == Invite Flood ) { saveprotect Invite }
n732=    if ( $did == 157 ) {
n733=      if ( $did(157) == $null ) { remini $mircdirfiles/options.ini other Mp3Chans }
n734=      else { writeini $mircdirfiles/options.ini Other Mp3Chans $did(157) }
n735=    }
n736=    if ( $did == 159 ) { 
n737=      if ( $did(159) == $null ) remini $mircdirfiles/options.ini other DisableProtect
n738=      else { writeini $mircdirfiles/options.ini other DisableProtect $did(159) }
n739=    }
n740=  }
n741=}
n742=
n743=;######################################System info###################################
n744=alias stat {
n745=  set %rb_size 10
n746=  rambar
n747=  say 10Я юзаю [ $+ $dll(moo.dll,osinfo,_) $+ ]  10Мой uptime [ $+ $uptime(system,1) $+ ]  10Мой cpu [ $+ $dll(moo.dll,cpuinfo,_) $+ ] 10Моя память [ $+ $dll(moo.dll,meminfo,_) $+ $result $+ ]
n748=}
n749=
n750=alias connstat { say 10Я онлайн [ $+ $dll(moo.dll,connection,_) $+ ] }
n751=alias connstatself { echo -a *** 10Я онлайн [ $+ $dll(moo.dll,connection,_) $+ ] }
n752=alias screenstat { say 10Я таращусь в монитор [ $+ $dll(moo.dll,screeninfo,_) $+ ] }
n753=alias screenstatself { echo -a *** 10Я таращусь в монитор [ $+ $dll(moo.dll,screeninfo,_) $+ ] }
n754=
n755=alias statself {
n756=  set %rb_size 10
n757=  rambar
n758=  echo -a *** 10Моя ось [ $+ $dll(moo.dll,osinfo,_) $+ ]  10Мой uptime [ $+ $uptime(system,1) $+ ]  10Мой cpu [ $+ $dll(moo.dll,cpuinfo,_) $+ ] 10 Моя память [ $+ $dll(moo.dll,meminfo,_) $+ $result $+ ]
n759=}
n760=alias uptime say 10Cижу под :: $+ $dll(moo.dll,osinfo,_) 10мой uptime - $uptime(system,1)
n761=alias uptimeself echo -a *** 10Cижу под :: $+ $dll(moo.dll,osinfo,_) 10мой uptime - $uptime(system,1)
n762=
n763=alias rambar {
n764=  if ( %rb_size == 0 ) { return }
n765=  set %rb_used $round($calc($dll(moo.dll,rambar,_) / 100 * %rb_size),0)
n766=  set %rb_unused $round($calc(%rb_size - %rb_used),0)
n767=  set %rb_usedstr $str(|,%rb_used)
n768=  set %rb_unusedstr $str(-,%rb_unused)
n769=  return  [ $+ %rb_usedstr $+ %rb_unusedstr $+ ]
n770=}
n771=alias gfx {
n772=  if ($dll(moo.dll,gfxinfo,_) == -1) {
n773=    moodll.error Could not find GFX card info in registry
n774=  }
n775=  else {
n776=    say 10gfx [ $+ $dll(moo.dll,gfxinfo,_) $+ ]
n777=  }
n778=}
n779=alias ni {
n780=  say 10Network Interfaces [ $+ $dll(moo.dll,interfaceinfo,_) $+ ]
n781=}
n782=alias niself {
n783=  echo -a *** 10Network Interfaces [ $+ $dll(moo.dll,interfaceinfo,_) $+ ]
n784=}
n785=alias hdd {
n786=  :count
n787=  inc %hdd.num
n788=  if ( %hdd.num == $disk(0) )  { say Fixed Drives: $replace(%hdd.total,GB,$+(GB,4,|,)) Total: $bytes(%hdd.total.size) $+ / $+ $bytes(%hdd.total.free).suf | unset %hdd.total | unset %hdd.total.size | unset %hdd.total.free | unset %hdd.num | halt }
n789=  elseif ( $disk(%hdd.num).type != fixed ) { goto count | halt }
n790=  else { set %hdd.total %hdd.total $+ $remove($disk(%hdd.num).path,\) $+ $bytes($disk(%hdd.num).size) $+ / $+ $bytes($disk(%hdd.num).free).suf  | set %hdd.total.free $calc(%hdd.total.free + $disk(%hdd.num).free ) | set %hdd.total.size $calc(%hdd.total.size + $disk(%hdd.num).size ) | goto count }
n791=}
n792=
n793=alias hddself {
n794=  unset %hdd.*
n795=  :count
n796=  inc %hdd.num
n797=  if ( %hdd.num == $disk(0) )  { echo -a Fixed Drives: $replace(%hdd.total,GB,$+(GB,4,|,)) Total: $bytes(%hdd.total.size) $+ / $+ $bytes(%hdd.total.free).suf | unset %hdd.* | halt }
n798=  elseif ( $disk(%hdd.num).type != fixed ) { goto count | halt }
n799=  else { set %hdd.total %hdd.total $+ $remove($disk(%hdd.num).path,\) $+ $bytes($disk(%hdd.num).size) $+ / $+ $bytes($disk(%hdd.num).free).suf  | set %hdd.total.free $calc(%hdd.total.free + $disk(%hdd.num).free ) | set %hdd.total.size $calc(%hdd.total.size + $disk(%hdd.num).size ) | goto count }
n800=}
n801=
n802=
n803=alias gfxself {
n804=  if ($dll(moo.dll,gfxinfo,_) == -1) {
n805=    moodll.error Could not find GFX card info in registry
n806=  }
n807=  else {
n808=    echo -a *** 10gfx [ $+ $dll(moo.dll,gfxinfo,_) $+ ]
n809=  }
n810=}
